<?php
  //***************************************************************************
  //Aplicacin IESWEB
  //Desarrollada por Francisco Jos Molina Robles
  //Versin inicial 0.1 (C) 2002
  //***************************************************************************
  //This program is free software; you can redistribute it and/or modify it
  //under the terms of the GNU General Public License as published by the Free
  //Software Foundation; either version 2 of the License, or (at your option)
  //any later version.
  //This program is distributed in the hope that it will be useful, but
  //WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
  //or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
  //for more details.
  //You should have received a copy of the GNU General Public License along
  //with this program; if not, write to the Free Software Foundation, Inc.,
  //51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
  //***************************************************************************
  //Tablas a las que accede esta página:
  //BOLSA.Curriculum,BOLSA.Empresa.
  //DATOS.Alumnos,DATOS.Antiguos,DATOS.Matricul.
  //WEB.Departa_Profesores,WEB.Usuarios.
  //***************************************************************************
  //Esta función está definida con el propósito de aumentar la seguridad al introducir datos
  //en un formulario. Devuelve 0 si no hay caracteres extraños y 1 si la cadena puede
  //incluir expresiones condicionales peligrosas:
  function comprobar_campo($argumento) {
    $CARACTERES_PROHIBIDOS="=<>*+''`'\":;";
    $encontrado=0;
    for($i=0;$i<strlen($argumento);$i++) {
      for($j=0;$j<strlen($CARACTERES_PROHIBIDOS);$j++) {
        if($argumento{$i}==$CARACTERES_PROHIBIDOS{$j}) $encontrado=1;
      }
    }
    return $encontrado;
  }
  //Función general de comprobación se seguridad en el acceso a los servicios.
  //Se le pasa como parámetro el usuario, la contraseña sin cifrar y el tipo
  //de acceso a comprobar (alumno,profesor,usuario):
  function Comprobar_Acceso($nombre1,$nombre2,$clave,$tipo) {
    //Incluimos las constantes:
    include("constantes.php");
    //Conectamos con el servidor de MySQL:
    $conexion=mysql_connect($EQUIPO_BDD,$USUARIO_BDD,$CONTRASENA_BDD);
    if(!$conexion) {
      echo "<p align=center><font size=4>ERROR: En este momento no es posible establecer ";
      echo "conexi&oacute;n con el servidor. Int&eacute;telo de nuevo m&aacute;s tarde.";
      echo "</font></p>";
      exit;
    }
    //Comprobamos el tipo de acceso:
    switch($tipo) {
      case "alumno":
        //Comprobamos la longitud del DNI (por seguridad):
        if(strlen($nombre1)<6) {
          echo "<p>&nbsp;&nbsp;&nbsp;&nbsp;Los datos introducidos no son correctos. Vuelva ";
          echo "atr&aacute;s para corregirlo. (1)-".$nombre1."- </p>";
          echo "<p align=center><img src='/aza/imagen/iconos/info.gif'></p>";
          mysql_close($conexion);
          exit;
        }
        //Comprobamos el contenido del campo DNI:
        if(comprobar_campo($nombre1)==1) {
          echo "<p>&nbsp;&nbsp;&nbsp;&nbsp;Los datos introducidos no son correctos. Vuelva ";
          echo "atr&aacute;s para corregirlo. (2)</p>";
          echo "<p align=center><img src='/aza/imagen/iconos/info.gif'></p>";
          mysql_close($conexion);
          exit;
        }
        //Comprobamos el contenido del campo Expediente:
        if(comprobar_campo($nombre2)==1) {
          echo "<p>&nbsp;&nbsp;&nbsp;&nbsp;Los datos introducidos no son correctos. Vuelva ";
          echo "atr&aacute;s para corregirlo. (3)</p>";
          echo "<p align=center><img src='/aza/imagen/iconos/info.gif'></p>";
          mysql_close($conexion);
          exit;
        }
        //Dejamos el dni solamente como un número:
        $nombre1=$nombre1+1-1;
        //Dejamos el nº de expediente solamente como un número:
        $nombre2=$nombre2+1-1;
        //Ahora hay que comprobar si el acceso va a ser solamente para alumnos de ciclos (bolsa de
        //trabajo) o alumnos normales (otros servicios):
        if($clave!="normal") {
          //Hay que comprobar al alumno y si se matriculó en algún ciclo.
          //Comprobamos si el alumno ya está en la base de datos DELPHOS:
          $sql="SELECT * FROM DATOS.Alumnos WHERE DNI LIKE '%".$nombre1."%' AND NIE=".$nombre2;
          $result=mysql_query($sql,$conexion);
          if(!($row=mysql_fetch_row($result))) {
            //El alumno no existe en la base de datos DELPHOS o los datos no son correctos.
            //Puede ocurrir que esté matriculado en la base de datos IES2000, por lo que
            //deberemos comprobar si existe en ella:
            $sql="SELECT DNI FROM DATOS.Antiguos_IES2000 WHERE DNI LIKE '%".$nombre1;
            $sql.="%' AND Matricula='".$nombre2."'";
            $result=mysql_query($sql,$conexion);
            if(!($row=mysql_fetch_row($result))) {
              //El alumno no existe en la base de datos IES2000 o los datos no son correctos.
              //Puede ocurrir que haya sido introducido manualmente en la bolsa, por lo que
              //deberemos comprobar si existe en la tabla de Antiguos:
              $sql="SELECT DNI FROM DATOS.Antiguos WHERE DNI LIKE '%".$nombre1."%'AND Matricula=";
              $sql.=$nombre2;
              $result=mysql_query($sql,$conexion);
              if(!($row=mysql_fetch_row($result))) {
                //Por último, puede ser que al alumno se le haya introducido su curriculum
                //manualmente (esta situación no se suele dar, pero la pongo por si acaso):
                $sql="SELECT DNI FROM BOLSA.Curriculum WHERE DNI LIKE '%".$nombre1."%'";
                $result=mysql_query($sql,$conexion);
                if(!($row=mysql_fetch_row($result))) {
                  //Definitivamente, este alumno no existe en ninguna parte.
                  echo "<p>&nbsp;&nbsp;&nbsp;&nbsp;Sus datos personales no existen en la base ";
                  echo "de datos. Posibles causas:</p><p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
                  echo "<img src='/aza/imagen/iconos/punto04.gif'> Ha introducido su DNI o su ";
                  echo "n&uacute;mero de expediente de forma incorrecta.</p>";
                  echo "<p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
                  echo "<img src='/aza/imagen/iconos/punto04.gif'> Estuvo matriculado en el ";
                  echo "centro antes del a&ntilde;o ".$ANNO_FUNCIONAMIENTO_IES2000;
                  echo ". En este caso, deber&aacute; ponerse ";
                  echo "en contacto con el administrador de este servicio o el personal del ";
                  echo "centro para que puedan darle de alta en este servicio de forma manual. ";
                  echo "Acceda a la p&aacute;gina <a href='/aza/secre.php'>";
                  echo "<b>Secretar&iacute;a</b></a> para anotar las direcciones de ";
                  echo "contacto.</p>";
                  echo "<form method=get action='/aza/bolsa/bolsa_al.php'>";
                  echo "<p align=center><input type='submit' name='volver' value='Volver'></p>";
                  echo "</form>";
                  echo "<p align=center><img src='/aza/imagen/iconos/info.gif'></p>";
                  mysql_close($conexion);
                  exit;
                }
              }
            }
          }
          else {
            //Hay que comprobar si el alumno se encuentra matriculado en segundo curso de los
            //ciclos formativos de grado medio o grado superior.

            
            $sql="SELECT m.Alumno,m.Matricula,x.Estudio,x.Curso FROM DATOS.Matriculas m,DATOS.Alumnos a,";
	    $sql.="CENTRO.auxMatriculas x WHERE a.NIE='".$nombre2."' AND a.Alumno=m.Alumno AND ";
	    $sql.="m.Matricula=x.Matricula";
            $result=mysql_query($sql,$conexion);
            if(!($row=mysql_fetch_row($result))) {
              //Hay un probelma con la información de este alumno.
              echo "<p>&nbsp;&nbsp;&nbsp;&nbsp;Los datos almacenados en nuestro servidor ";
              echo "est&aacute;n incompletos. Puede ser posible que su expediente ";
              echo "todav&iacute;a est&eacute; tramit&aacute;ndose y no se hayan actualizado ";
              echo "sus datos. En caso de que este problema persista, deber&aacute; ponerse ";
              echo "en contacto con la secretar&iacute;a del centro o el administrador de ";
              echo "este servicio. Perdone las molestias.</p>";
              echo "<p align=center><img src='/imagen/info.gif'></p>";
              mysql_close($conexion);
              exit;
            }
            else {
              //Comprobamos si el alumno está en segundo curso.
              //Hay que recorrer la consulta Matricul porque es normal que esté matriculado ms de
              //un ao:
              $encontrado=0;
              do {
                if($row[3]=="2") {
                  $encontrado=2;
                  //Comprobamos que son estudios de ciclos formativos:
                  for($i=0;$i<14;$i++)
                    if(! strcmp($row[2],$EXCLUIDOS_BOLSA[$i])) $encontrado=1;
                }
                $row = mysql_fetch_row($result);
              } while(($row) && (encontrado!=2));
              if($encontrado!=2) {
                echo "<p>&nbsp;&nbsp;&nbsp;&nbsp;Usted no est&aacute; o no ha estado ";
                echo "matriculado en los ciclos formativos de gado medio y grado superior que ";
                echo "ofera el centro. Este servicio solamente puede ser utilizado por ";
                echo "alumnos que est&eacute;n matriculados en segundo o hayan finalizado sus ";
                echo "estudios.</p>";
                echo "<p>&nbsp;&nbsp;&nbsp;&nbsp;Si usted se encuentra matriculado en segundo ";
                echo "curso de los ciclos formativos o ha finalizado ya sus estudios, ";
                echo "probablemente su expediente se encuentre todav&iacute;a en fase de ";
                echo "tr&aacute;mite y no ha sido actualizado. En este caso, deber&aacute; ";
                echo "ponerse en contacto con la secretar&iacute;a del centro o el ";
                echo "administrador de este servicio.</p>";
                echo "<p align=center><img src='/imagen/info.gif'></p>";
                mysql_close($conexion);
                exit;
              }
            }
          }
        }
        else {
          //Aquí sólo hay que comprobar que el alumno se encuentra matriculado en el curso actual.
          //Obtenemos el curso lectivo actual:
          $anno_actual=date("Y");
          $mes_actual=date("n");
          if($mes_actual<10) $anno_actual=$anno_actual-1;
          //Obtenemos el registro del alumno:
          $sql="SELECT * FROM DATOS.Alumnos a,DATOS.Matriculas m WHERE a.Alumno=m.Alumno AND DNI ";
          $sql.="LIKE '%".$nombre1."%' AND NIE=".$nombre2." AND m.Anno=".$anno_actual;
          $result=mysql_query($sql,$conexion);
          if(!($row=mysql_fetch_row($result))) {
            //El alumno no existe en la base de datos DELPHOS para el curso actual o los datos no
            //son correctos.
            echo "<p>&nbsp;&nbsp;&nbsp;&nbsp;Los datos introducidos no son correctos. Inténtelo ";
            echo "de nuevo (8).</p>";
            echo "<p align=center><img src='/aza/imagen/iconos/info.gif'></p>";
            mysql_close($conexion);
            exit;
          }
        }
        break;
      case "empresa":
        //Comprobamos el contenido del campo NIF:
        if(comprobar_campo($nombre1)==1) {
          echo "<p>&nbsp;&nbsp;&nbsp;&nbsp;Los datos introducidos no son correctos. Vuelva ";
          echo "a la ventana anterior para corregirlo. (5)</p>";
          echo "<p align=center><img src='/aza/imagen/iconos/info.gif'></p>";
          mysql_close($conexion);
          exit;
        }
        //Comprobamos si la empresa ya está en la base de datos de empresas:
        $sql="SELECT * FROM BOLSA.Empresas WHERE CIF='".$nombre1."'";
        $result=mysql_query($sql,$conexion);
        if(!($row=mysql_fetch_row($result))) {
          //No hay ninguna empresa con ese CIF en la base de datos:
          echo "<p>&nbsp;&nbsp;&nbsp;&nbsp;Los datos introducidos no son correctos. ";
          echo "Int&eacute;ntelo de nuevo. (6)</p>";
          echo "<p align=center><img src='/aza/imagen/iconos/info.gif'></p>";
          mysql_close($conexion);
          exit;
        }
        //La contraseña puede estar cifrada o no:
        if($clave!="") $clave_cifrada=$clave;
        else {
          //Obtenemos el salto de cifrado:
          $salto=substr($row[1],0,2);
          //Ciframos la contraseña:
          $clave_cifrada=crypt_2_2($nombre2,$salto);
        }
        if($clave_cifrada!=$row[1]) {
          //La contraseña introducida no es válida.
          echo "<p>&nbsp;&nbsp;&nbsp;&nbsp;Los datos introducidos no son correctos. ";
          echo "Int&eacute;ntelo de nuevo. (7)</p>";
          echo "<p align=center><img src='/aza/imagen/iconos/info.gif'></p>";
          mysql_close($conexion);
          exit;
        }
        //Comprobamos si a la empresa se le ha activado el acceso:
        $acceso=$row[2];
        if($acceso!='F') {
          //Esta cuenta de acceso todavía no ha sido activada.
          echo "<p>&nbsp;&nbsp;&nbsp;&nbsp;Esta cuenta de acceso todavía no ha sido ";
          echo "activada por el administrador. Por favor, espere a que se ponga en contacto ";
          echo "con usted para verificar sus datos y activar el acceso al servicio. Esta ";
          echo "operación se realizará lo antes posible. Perdone las molestias.</p>";
          echo "<p align=center><img src='/aza/imagen/iconos/info.gif'></p>";
          mysql_close($conexion);
          exit;
        }
        //En caso de que el acceso sea correcto, devolvemos el salto por si es necesario y finalizamos:
        mysql_close($conexion);
        return $salto;
        break;
      case "administrador":
        //Comprobamos el contenido del campo nombre:
        if(comprobar_campo($nombre1)==1) {
          echo "<p>&nbsp;&nbsp;&nbsp;&nbsp;Los datos introducidos no son correctos. Vuelva ";
          echo "a la ventana anterior para corregirlo. (8)</p>";
          echo "<p align=center><img src='/aza/imagen/iconos/info.gif'></p>";
          mysql_close($conexion);
          exit;
        }
        //Primero hay que volver a comprobar si el usuario existe, la contraseña es correcta
        //y tiene permisos para crear usuarios.
        //Comprobamos si el usuario ya está registrado en la base de datos:
        $sql="SELECT * FROM WEB.Usuarios WHERE Nombre='".$nombre1."'";
        $result=mysql_query($sql,$conexion);
        if(!($row=mysql_fetch_row($result))) {
          //No hay ningún usuario con ese nombre:
          echo "<p>&nbsp;&nbsp;&nbsp;&nbsp;Los datos introducidos no son correctos. ";
          echo "Int&eacute;ntelo de nuevo. (9)</p>";
          echo "<p align=center><img src='/aza/imagen/iconos/info.gif'></p>";
          mysql_close($conexion);
          exit;
        }
        //Comprobamos si coincide la contraseña (puede pasarse cifrada o no
        //cifrada en un vector):
        if(sizeof($clave)==1) $clave_cifrada=$clave;
        else {
          for($i=0;$i<sizeof($clave);$i++) {
            if($clave[$i]!="") {
              if($i==0) $clave_cifrada=$clave[$i];
              else $clave_cifrada=crypt_2_2($clave[$i],substr($row[1],0,2));
            }
          }
        }
        if($clave_cifrada!=$row[1]) {
          //La contraseña introducida no es válida:
          echo "<p>&nbsp;&nbsp;&nbsp;&nbsp;Los datos introducidos no son correctos. ";
          echo "Int&eacute;ntelo de nuevo. (10)</p>";
          echo "<p align=center><img src='/aza/imagen/iconos/info.gif'></p>";
          mysql_close($conexion);
          exit;
        }
        //Comprobamos si hay que valorar los permisos:
        if($nombre2!="") {
          //Comprobamos los permisos del usuario:
          $encontrado=substr(strstr($nombre2,$row[2]),0,strlen($row[2]));
          if($encontrado!=$row[2]) {
            //El usuario no tiene derechos para realizar esta operación:
            echo "<p>&nbsp;&nbsp;&nbsp;&nbsp;El usuario especificado no tiene derechos ";
            echo "para realizar esta operaci&oacute;n. Contacte con el administrador de ";
            echo "este servicio para obtener m&aacute;s detalles.</p>";
            echo "<p align=center><img src='/aza/imagen/iconos/info.gif'></p>";
            mysql_close($conexion);
            exit;
          }
        }
        break;
      case "profesor":
        //Comprobamos el contenido del campo nombre:
        if(comprobar_campo($nombre1)==1) {
          echo "<p>&nbsp;&nbsp;&nbsp;&nbsp;Los datos introducidos no son correctos. Vuelva ";
          echo "a la ventana anterior para corregirlo. (11)</p>";
          echo "<p align=center><img src='/aza/imagen/iconos/info.gif'></p>";
          mysql_close($conexion);
          exit;
        }
        //Comprobamos si el profesor ya está registrado en la base de datos:
        $sql="SELECT * FROM WEB.Departa_Profesores WHERE Profesor='".$nombre1."'";
        $result=mysql_query($sql,$conexion);
        if(!($row=mysql_fetch_row($result))) {
          //No hay ningún profesor con ese nombre:
          echo "<p>&nbsp;&nbsp;&nbsp;&nbsp;Los datos introducidos no son correctos. ";
          echo "Int&eacute;ntelo de nuevo. (12)</p>";
          echo "<p align=center><img src='/aza/imagen/iconos/info.gif'></p>";
          mysql_close($conexion);
          exit;
        }
        //Comprobamos si coincide la contraseña (puede pasarse cifrada o no
        //cifrada en un vector):
        if(sizeof($clave)==1) $clave_cifrada=$clave;
        else {
          for($i=0;$i<sizeof($clave);$i++) {
            if($clave[$i]!="") {
              if($i==0) $clave_cifrada=$clave[$i];
              else $clave_cifrada=crypt_2_2($clave[$i],substr($row[1],0,2));
            }
          }
        }
        if($clave_cifrada!=$row[1]) {
          //La contraseña introducida no es válida:
          echo "<p>&nbsp;&nbsp;&nbsp;&nbsp;Los datos introducidos no son correctos. ";
          echo "Int&eacute;ntelo de nuevo. (13)</p>";
          echo "<p align=center><img src='/aza/imagen/iconos/info.gif'></p>";
          mysql_close($conexion);
          exit;
        }
        break;
      default:
        echo "<p>&nbsp;&nbsp;&nbsp;&nbsp;Los datos introducidos no son correctos. Vuelva ";
        echo "atr&aacute;s para corregirlo. (14)</p>";
        echo "<p align=center><img src='/aza/imagen/iconos/info.gif'></p>";
        exit;
    }
    //Cerramos la conexión a la base de datos:
    mysql_close($conexion);
  }
  //
  //Aquí defino otras funciones que reemplazan a crypt.
  //Esta función cifra usando el algoritmo estándar DES con un salto de
  //dos catacteres.
  //Con un argumento (clave a cifrar):
  function crypt_2($argumento) {
    srand ((double) microtime() * 1000000);
    $carac="0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz./";
    $salto1=substr($carac,rand(0,63),1);
    $salto2=substr($carac,rand(0,63),1);
    $salto=$salto1.$salto2;
    $clave_a_cifrar=substr($argumento,0,8);
    $clave_cifrada=crypt($clave_a_cifrar,$salto);
    return $clave_cifrada;
  }
  //Con dos argumentos (clave a cifrar y salto):
  function crypt_2_2($argumento,$salto) {
    $clave_a_cifrar=substr($argumento,0,8);
    $clave_cifrada=crypt($clave_a_cifrar,$salto);
    return $clave_cifrada;
  }
  //Esta función está definida con el propósito de generar los identificadores aleatorios de
  //sesiones:
  function generar_id($semilla,$longitud) {
    $id="";
    srand($semilla);
    for($i=0;$i<$longitud;$i++) {
      $tipochar=rand(1,3);
      switch($tipochar) {
        case 1: //caracteres 0-9
          $id.=chr(rand(48,57));
          break;
        case 2: //caracteres A-Z
          $id.=chr(rand(65,90));
          break;
        case 3: //caracteres a-z
          $id.=chr(rand(97,122));
          break;
      }
    }
    return $id;
  }
  //La siguiente función se encarga de crear una nueva cookie de sesión con los datos
  //pasados como parámetro:
  function Crear_Sesion($tipo,$ident,$clave) {
    //Incluimos las constantes:
    include("constantes.php");
    //Comprobamos el tipo de sesión a crear:
    if($tipo=="") {
      echo "<p>&nbsp;&nbsp;&nbsp;&nbsp;Los datos introducidos no son correctos. Vuelva ";
      echo "atr&aacute;s para corregirlo. (3)</p>";
      echo "<p align=center><img src='/aza/imagen/iconos/info.gif'></p>";
      exit;
    }
    //Si se llega a este punto, es que la comprobación ha sido satisfactoria.
    //Conectamos con el servidor de MySQL:
    $conexion=mysql_connect($EQUIPO_BDD,$USUARIO_BDD,$CONTRASENA_BDD);
    if(!$conexion) {
      echo "<p align=center><font size=4>ERROR: En este momento no es posible establecer ";
      echo "conexi&oacute;n con el servidor. Int&eacute;telo de nuevo m&aacute;s tarde.";
      echo "</font></p>";
      exit;
    }
    //Construimos una lista de los identificadores aleatorios ya existentes:
    $sql="SELECT sessname FROM WEB.inter_sessions";
    $result=mysql_query($sql,$conexion);
    while(($row=mysql_fetch_row($result))) $sids[$row[0]]=true;
    //Generamos el identificador asegurándonos de que es único y basado en la contraseña:
    $max_intentos=500000;
    $semilla=crc32($ident);
    do {
      $sessname=generar_id($semilla+time(),32);
      $max_intentos--;
    } while(isset($sids[$sessname]) && max_intentos>0);
    //Si se ha superado el máximo de intentos, entonces no tenemos identificador:
    if($max_intentos<=0) return false;
    //Establecemos la clave de sesión:
    $sesskey=generar_id(crc32($clave)+time(),32);
    //Obtenemos la dirección IP del equipo que se ha conectado al servidor:
    $ip=getenv("REMOTE_ADDR");
    //Establecemos la caducidad de la sesión y la cookie:
    $expires=time()+60*$COOKIE_EXPIRA;
    //Ahora creamos la sesión y la cookie:
    $sql="INSERT INTO WEB.inter_sessions (sessname,sesskey,expiry,remoteip,username,nombre,clave)";
    $sql.=" VALUES ('".$sessname."','".$sesskey."','".$expires."','".$ip."','".$tipo."','";
    $sql.=$ident."','".$clave."')";
    $result=mysql_query($sql,$conexion);
    setcookie($sessname,$sesskey,$expires,"/","www.ies-azarquiel.es");
    //Cerramos la conexión a la base de datos:
    mysql_close($conexion);
  }
  //La siguiente función se encarga de comprobar si existe una cookie para el control del
  //acceso y devuelve toda su información en un vector:
  function Comprobar_Cookie($tipo) {
    //Incluimos las constantes:
    include("constantes.php");
    //Inicializamos el vector que vamos a devolver:
    $galletita="";
    //Obtenemos el nombre y valor de la cookie:
    $acceso=$_SERVER["HTTP_COOKIE"];
    //Comprobamos si no está vacía:
    if($acceso!="") {
      //Si ya existe es que el usuario ha iniciado sesión y hay que obtener sus datos:
      $conexion=mysql_connect($EQUIPO_BDD,$USUARIO_BDD,$CONTRASENA_BDD);
      if(!$conexion) {
        //Como no se ha podido conectar, no devolvemos nada:
        $galletita[0]=false;
      }
      else {
        //Obtenemos el nombre de la cookie y su valor:
        $acceso1=substr($acceso,0,strpos($acceso,"="));
        $acceso2=substr($acceso,strpos($acceso,"=")+1,strlen($acceso));
        //Obtenemos los datos de esa cookie en la base de datos de sesiones:
        $sql="SELECT * FROM WEB.inter_sessions WHERE sessname='".$acceso1;
        $sql.="' AND sesskey='".$acceso2."'";
        $result=mysql_query($sql,$conexion);
        if($row=mysql_fetch_row($result)) {
          //Comprobamos si la cookie es del tipo indicado:
          if($tipo!=$row[4]) {
            //Hay cookie, pero no es del tipo solicitado:
            $galletita[0]=false;
          }
          else {
            //Indicamos que hay cookie:
            $galletita[0]=true;
            //Guardamos todos los datos que lleva la sesión:
            for($i=1;$i<8;$i++) $galletita[$i]=$row[$i-1];
          }
        }
      }
    }
    else {
      //No hay cookie:
      $galletita[0]=false;
    }
    //Devolvemos el vector con la info de la cookie:
    return $galletita;
  }
  //Definimos una función que devuelve la extensión dado un nombre de archivo con su ruta
  //Devuelve "NoExiste" en caso de que el nombre de archivo no exista:
  function Obtener_Extension($archivo) {
    //El archivo que se pasa como parámetro solamente tiene la ruta y su nombre
    //(no tiene ni el punto "." ni la extensión).
    $existe=false;
    $ext="";
    $extensiones=array("jpg","JPG","gif","GIF");
    $i=0;
    while((!$existe) && ($i<count($extensiones))) {
      if(file_exists($archivo.".".$extensiones[$i])) {
        $existe=true;
        $ext=$extensiones[$i];
      }
      $i++;
    }
    if($existe) return $ext;
    else return "NoExiste";
  }
?>
